NOLOGIN(8)

BEZEICHNUNG
nologin - eine Anmeldung höflich verweigern

ÜBERSICHT

nologin [-V] [-h]

BESCHREIBUNG

nologin zeigt eine Meldung an, dass ein Konto nicht verfügbar ist und beendet das Programm mit einem von 0 verschiedenen Rückgabewert. Es ist als Ersatz für das Feld »shell« gedacht, um den Anmeldezugriff auf ein Benutzerkonto abzuweisen.

Falls die Datei /etc/nologin.txt existiert, zeigt nologin dem Benutzer den Inhalt dieser Datei anstelle der Standardmeldung an.

Der von nologin zurückgegebene Exit-Status ist immer 1.

OPTIONEN

-c, --command Befehl

--init-file

-i --interactive

--init-file Datei

-i, --interactive

-l, --login

--noprofile

--norc

--posix

--rcfile Datei

-r, --restricted

Diese Shell-Befehlszeilenargumente werden ignoriert, um nologin-Fehler zu vermeiden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

ANMERKUNGEN

nologin ist eine kontenbezogene Möglichkeit zur Deaktivierung von Anmeldungen (üblicherweise für Systembenutzerkonten wie http oder ftp). nologin verwendet /etc/nologin.txt als optionale Quelle für eine alternative Nachricht, der Anmeldezugriff wird immer unabhängig von der Datei abgewiesen.

Das PAM-Modul pam_nologin(8) verhindert üblicherweise, dass sich Nicht-Root-Benutzer am System anmelden können. Die Funktionalität von pam_nologin(8) wird durch eine der Dateien /var/run/nologin oder /etc/nologin gesteuert.

GESCHICHTE

Der Befehl nologin erschien in 4.4BSD.

AUTOREN

SIEHE AUCH

login(1), passwd(5), pam_nologin(8)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl nologin ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.